AbstractAnnotationValueVisitor14 (Java SE 25 & JDK 25)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: AbstractAnnotationValueVisitor14
Keywords: javax.lang.model.util.AbstractAnnotationValueVisitor14 class

# Class AbstractAnnotationValueVisitor14<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor7<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor8<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor9<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor14<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

Direct Known Subclasses:
  `AbstractAnnotationValueVisitorPreviewPREVIEW`

@SupportedSourceVersion(RELEASE_25) public abstract class AbstractAnnotationValueVisitor14<R,P> extends AbstractAnnotationValueVisitor9<R,P>
A skeletal visitor for annotation values with default behavior appropriate for source version `RELEASE_14`.

Since:
  14
See Also:
  - Compatibility note for subclasses
  - `AbstractAnnotationValueVisitor6`
  - `AbstractAnnotationValueVisitor7`
  - `AbstractAnnotationValueVisitor8`
  - `AbstractAnnotationValueVisitor9`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractAnnotationValueVisitor14()`
  Constructor for concrete subclasses to call.

- ## Method Summary

  ### Methods declared in class AbstractAnnotationValueVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface AnnotationValueVisitor

  `visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

- ## Constructor Details

  - ### AbstractAnnotationValueVisitor14

    protected AbstractAnnotationValueVisitor14()
    Constructor for concrete subclasses to call.